package org.deephacks.tools4j.config.test;

import com.google.common.collect.Lists;
import org.deephacks.tools4j.config.model.Bean;
import org.deephacks.tools4j.config.spi.Conversion;

import java.util.Collection;

public class ConversionUtils {

    private static Conversion CONVERSION = Conversion.get();


    public static Collection<Bean> toBeans(Object... objects) {
        return CONVERSION.convert(Lists.newArrayList(objects), Bean.class);
    }

    public static Bean toBean(Object object) {
        return CONVERSION.convert(object, Bean.class);
    }

}
